Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Java] Class SimpleGroovyType

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyType

All Implemented Interfaces:
  GroovyType

    public class SimpleGroovyType
    extends Object

Constructor Summary
`SimpleGroovyType(String typeName)`

Method Summary
`boolean` | `isPrimitive()`
`String` | `qualifiedTypeName()`
`String` | `simpleTypeName()`
`String` | `typeName()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### SimpleGroovyType

    public SimpleGroovyType(String typeName)

Method Detail

### isPrimitive

    public boolean isPrimitive()

### qualifiedTypeName

    public String qualifiedTypeName()

### simpleTypeName

    public String simpleTypeName()

### typeName

    public String typeName()

Copyright © 2003-2010 The Codehaus. All rights reserved.